AFNIX(1)

NAME
afnix - the Afnix interpreter

SYNOPSIS
afnix [ options ] file [ arguments ]

DESCRIPTION
afnix invokes the afnix command-line interpreter. Without arguments, the interpreter is invoked interactively. With one or several arguments, the first argument is taken as the file to execute. The rest of the command line is the arguments for the file being executed. With the help of the file resolver, a file does not have to have the als or axc extensions.

OPTIONS

-h  prints an help message.

-v  displays the program version.

-f assert
    enables assertion checking.

-f nopath
    do not set initial path

-i path
    add a directory or librarian to the file search path

VERSION
The current version is 1.0.0

SEE ALSO
axl(1), axc(1), axd(1), aod(1)

DEBIAN NOTES
Afnix comes with an extensive documentation. With Debian, look into /usr/share/doc/afnix-doc for more information. You might need to install the afnix-doc package.

FREEBSD NOTES
Afnix comes with an extensive documentation. With FreeBSD, you can download the preformated documentation from <ftp.afnix.org>.

AUTHOR
afnix has been written by Amaury Darsch <amaury@ethernix.org>. This man page has been written by Philippe Troin <phil@fifi.org> for Debian, and updated by Amaury Darsch <amaury@ethernix.org> for new versions and other platforms.

HISTORY
afnix was originally called the Aleph programming language. The Aleph programming language has been discontinued when Afnix has been released.